<?php
declare(strict_types=1);

use Migrations\AbstractSeed;

/**
 * CustomEntries seed.
 */
class CustomEntries1Seed extends AbstractSeed
{
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeds is available here:
     * https://book.cakephp.org/phinx/0/en/seeding.html
     *
     * @return void
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 1,
                'custom_table_id' => 1,
                'published' => '2023-02-14 13:57:29',
                'modified' => '2023-02-14 13:57:29',
                'created' => '2023-01-30 07:09:22',
                'name' => 'プログラマー',
                'recruit_category' => '1',
                'feature' => '["土日祝日休み","交通費支給"]',
                'main_visual' => '',
                'our_business' => '私たちは「一緒に&rdquo;できる&rdquo;を創り出す」を理念のもと、お客様と同じ立場・同じ目線で、お客様とともに課題に立ち向かい成功を創り出していくエンジニアリング企業です。<br />
2007年の創業以来、地元・福岡の企業のみならず全国600以上のWebサイトやWebシステムの構築に携わってきました。<br />
2009年には、自社のライブラリであるWebサイトのフレームワークをさらに成長させるため、エコシステムとなるオープンソース「baserCMS」を世の中に送り出し、受託開発を通じてコミットし世の中に貢献しています。',
                'work_charm' => 'キャッチアップでは、ミッションの一つに「社員の働きやすさと働きがいを追求する」を掲げています。 そのため、メンバーがモチベーション高く働くことができるように、みんなで話し合い様々な制度作りに力を入れてきました。<br />
リモートワークや早朝フレックス、カフェワーク、1on1ミーティングなど様々な取り組みがありますが、詳しい内容については、「キャッチアップで働く魅力」をご覧ください。<br />
<br />
【メンバーインタビュー】 「キャッチアップで働く理由 #9 森下 亮」',
                'occupation_and_infrastructure' => 'エンジニアはキャッチアップの主役です。プログラムコードによりお客様の課題解決を担います。 エンジニアならでは気になるツール環境は次のとおりです。<br />
特にエディタについて強制はなくご自分の慣れたものをご利用頂けます。<br />
<br />
また、オープンソースのデベロッパーが在籍しているので最新の開発環境などについて相談可能で、スキルアップに繋げることができ、仮想化やクラウド、PHP、CMSにおいては特に力が付きます。
<ul>
<li>課題管理：Backlog</li>
<li>コミュニケーション：Slack</li>
<li>ソースコード管理：GitLab / GitHub</li>
<li>開発環境：Vagrant / Docker / MAMP</li>
<li>エディタ：VSCode / PhpStorm / SublimeText / vim</li>
<li>フレームワーク：CakePHP / Laravel / Ruby on Rails</li>
<li>ユニットテスト：PHP Unit / Rspec</li>
<li>CI：Travis CI</li>
</ul>
<br />
【メンバー インタビュー】 代表 江頭 &times; 若手エンジニアが座談会「キャッチアップってどんなことろ？ 」',
                'company_introduction' => '',
                'recruitment_type' => 'Webエンジニア・Webプログラマー',
                'employment_status' => '正社員',
                'job_description' => '[ポジション]
シニアエンジニア（役割グレード３）

[職務の目的]
専門領域のキーパーソン候補として、所属組織の目標達成に大きく貢献する役割。

[職務内容]
受託開発のプロジェクトにおいて上流工程からプロジェクトに参画し、プロジェクトのキーマンとしてプロジェクトマネージャーの役割を担い、対社内・対お客様との折衝を行って頂きます。
適正によっては、プログラムコードを書くこともあり、コードレビューを行ってい頂くこともあります。

[専門性]
様々な分野の商材を駆使しクライアントの要望を実現できるプロダクトを開発するため、要件定義書、または仕様書から基本設計を行って頂きます。

[目標・責任]
1,000万円規模までの幅広いお客様層のプロジェクトなど難度の高いプロジェクトを含めをプロジェクトマネージャーとして他エンジニアへ指示・指導を行いつつ広範囲に担当し、目標達成に大きく貢献して頂きます。

[教育関与]
全社的なエンジニア育成に強く関わり、部門内にてエンジニアリングに関するセミナーを適宜開催し部門内の技術レベルの底上げを行って頂きます。',
                'required_skills' => 'Webアプリケーション開発の実務経験２年以上',
                'salary' => '400000',
                'working_hours' => '10:00〜19:00（うち１時間休憩）',
                'work_location' => '',
                'desired_figure' => '■ 誠実さを持って関わる人との信頼関係を構築できる方。
■ 自ら学び、社内外に共有できる方。
■ チームワークを意識し、コミュニケーション力があって、思いやりがある方。
■ 会社「を」成長させたい人',
                'selection_process' => '応募から入社までの選考の流れをご紹介します。

01 エントリー
まずは以下のフォームよりエントリーしていただきます。
その際、履歴書、職務経歴書をお送りください。（EXCEL、PDFでの送付可）
弊社担当者より、選考に際してのご案内をメールにてご返信いたします。

02 書類審査
書類審査後、選考結果をご連絡いたします。

03 一次面接
人事担当と一次面接を行います。
筆記用具をご持参ください。

04 最終面接
社長による最終面接を行います。

05 内定
最終面接を通過すると内定となります。
内定通知と雇用条件通知書をメールで送信させて頂き、事前出社日を決定します。

06 事前出社
入社の前に１度出社頂き、人事担当者より概要研修を実施いたします。
また、その際、入社手続きの準備も同時にすすめさせて頂き、入社日時を決定します。

07 入社
入社日には、早速、就業研修と業務研修が始まります。',
                'title' => 'Webエンジニア・Webプログラマー',
                'status' => 1,
                'publish_begin' => NULL,
                'publish_end' => NULL,
                'employment_status_group' => NULL,
                'employment_status_note' => '※入社2ヶ月〜6ヶ月は試用期間 (能力による)',
                'working_hours_group' => NULL,
                'working_hours_note' => '■ 裁量労働制
■ リモートワーク可
★当社では、勤務開始時間に出社すれば、その後の過ごし方は個人にお任せしています。 スケジュール管理をしっかりして頂ければ、子どものイベントに参加したり、病院に行ったり等、家族や自分の事を優先して働く事ができます。',
                'salary_group' => NULL,
                'salary_type' => '月給',
                'salary_min' => '300000',
                'salary_max' => '500000',
                'salary_note' => '経験・スキルや年齢、家族構成、前職給与額等を考慮の上、当社規定により決定
■ 交通費支給（月上限2万円まで）
■ 役割手当、扶養手当、資格手当、役職手当
■ 賞与年２回（6月/12月）、昇給年１回（4月）

《給与例》シニアエンジニア（役割グレード３）
■ 基本給：304,000円
■ 役割手当：60,000円
■ 扶養手当：17,500円
■ 通勤手当：10,400円
月合計：391,900円
賞与：300,000円（年2回）
年収：5,302,800円',
                'zip' => '810-0041',
                'pref' => '福岡県',
                'address_1' => ' 福岡市中央区',
                'address_2' => '大名2-11-25 新栄ビル 4階',
                'work_location_note' => '■ 福岡オフィス
※福岡市地下鉄空港線 赤坂駅より徒歩２分
※試用期間終了後は社内規定に基づき自由出社。リモートワークとして遠隔地勤務も可能',
                'creator_id' => 1,
                'textarea_small' => '完全週休2日 / 土日祝休み / 年間休日120日以上 / ゴールデンウィーク / 夏季休暇 / 年末年始休暇 / 年次有給休暇 / 慶弔休暇 / 傷病休暇 / 産前産後休暇 / 育児休暇
★有給は積極的に取得する社風です。',
                'textarea_small_2' => '社会保険完備(法定による) / MacBookPro支給 / 社内勉強会（週１回） / 有料ビジネスセミナー参加 / 社員旅行 / みんなでランチ（月１回会社負担） / 健康診断（年１回会社負担）/ みんなでヨガ（月１回会社負担） / Wii、ダーツ、人狼ゲームでリフレッシュ / 無限お菓子 / 無限コーヒー /',
                'etc' => '服装・髪型自由 / ネイル・アクセサリーOK',
                'textarea_small_3' => 'まずはこのページ下のフォームよりエントリーください。',
                'welcoming_skills' => '■ フレームワークの利用経験のある方
■ コミュニティ等での活動経験や参加が好きな方',
                'occupation_charm' => '自身が想定したとおりに実装がうまくいった時、お客様が抱える課題を見事に解決できた時の達成感は、もう何より爽快です。
エンジニアが開発に集中できるように、コミュニケーション力のあるディレクターが積極的にサポートしてくれます。',
            ],
        ];

        $table = $this->table('custom_entry_1_recruit');
        $table->insert($data)->save();
    }
}
