<?php
declare(strict_types=1);

use Migrations\AbstractSeed;

/**
 * CustomLinks seed.
 */
class CustomLinksSeed extends AbstractSeed
{
    /**
     * Run Method.
     *
     * Write your database seeder using this method.
     *
     * More information on writing seeds is available here:
     * https://book.cakephp.org/phinx/0/en/seeding.html
     *
     * @return void
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 77,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 8,
                'parent_id' => NULL,
                'lft' => 1,
                'rght' => 2,
                'level' => 0,
                'name' => 'recruit_category',
                'title' => '求人分類',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 1,
                'use_api' => 1,
                'search_target_front' => 1,
                'before_linefeed' => 0,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => 1,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 78,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 9,
                'parent_id' => NULL,
                'lft' => 1,
                'rght' => 2,
                'level' => 0,
                'name' => 'feature',
                'title' => 'この仕事の特徴',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 1,
                'before_linefeed' => 0,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => 1,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => 1,
            ],
            [
                'id' => 79,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 10,
                'parent_id' => NULL,
                'lft' => 3,
                'rght' => 4,
                'level' => 0,
                'name' => 'main_visual',
                'title' => 'メインビジュアル',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 80,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 11,
                'parent_id' => NULL,
                'lft' => 5,
                'rght' => 6,
                'level' => 0,
                'name' => 'our_business',
                'title' => '私たちの事業',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => 0,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => 1,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 81,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 11,
                'parent_id' => NULL,
                'lft' => 7,
                'rght' => 8,
                'level' => 0,
                'name' => 'work_charm',
                'title' => '働く魅力',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 82,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 11,
                'parent_id' => NULL,
                'lft' => 9,
                'rght' => 10,
                'level' => 0,
                'name' => 'occupation_and_infrastructure',
                'title' => '職種の役割と働く環境',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 83,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 14,
                'parent_id' => NULL,
                'lft' => 11,
                'rght' => 12,
                'level' => 0,
                'name' => 'company_introduction',
                'title' => '会社紹介資料',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 84,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 15,
                'parent_id' => NULL,
                'lft' => 13,
                'rght' => 14,
                'level' => 0,
                'name' => 'recruitment_type',
                'title' => ' 募集職種',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 1,
                'use_api' => 1,
                'search_target_front' => 1,
                'before_linefeed' => 0,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => 1,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 85,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 16,
                'parent_id' => 99,
                'lft' => 16,
                'rght' => 17,
                'level' => 1,
                'name' => 'employment_status',
                'title' => '雇用形態',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 1,
                'use_api' => 1,
                'search_target_front' => 1,
                'before_linefeed' => 0,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => 1,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 86,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 17,
                'parent_id' => NULL,
                'lft' => 21,
                'rght' => 22,
                'level' => 0,
                'name' => 'job_description',
                'title' => '仕事内容',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 87,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => NULL,
                'lft' => 23,
                'rght' => 24,
                'level' => 0,
                'name' => 'required_skills',
                'title' => '必要なスキル',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 88,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 39,
                'parent_id' => 103,
                'lft' => 28,
                'rght' => 29,
                'level' => 1,
                'name' => 'salary',
                'title' => '給与',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 1,
                'use_api' => 1,
                'search_target_front' => 1,
                'before_linefeed' => 1,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => 1,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => '円',
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 89,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 15,
                'parent_id' => 101,
                'lft' => 38,
                'rght' => 39,
                'level' => 1,
                'name' => 'working_hours',
                'title' => '勤務時間',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 94,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 25,
                'parent_id' => NULL,
                'lft' => 51,
                'rght' => 62,
                'level' => 0,
                'name' => 'work_location',
                'title' => '勤務地',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 96,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 33,
                'parent_id' => NULL,
                'lft' => 69,
                'rght' => 70,
                'level' => 0,
                'name' => 'desired_figure',
                'title' => '求める人物像',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 97,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 17,
                'parent_id' => NULL,
                'lft' => 65,
                'rght' => 66,
                'level' => 0,
                'name' => 'selection_process',
                'title' => '選考の流れ',
                'group_valid' => 0,
                'created' => '2023-01-30 06:45:08',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 99,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 25,
                'parent_id' => NULL,
                'lft' => 15,
                'rght' => 20,
                'level' => 0,
                'name' => 'employment_status_group',
                'title' => '雇用形態',
                'group_valid' => 0,
                'created' => '2023-01-30 09:49:15',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 100,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => 99,
                'lft' => 18,
                'rght' => 19,
                'level' => 1,
                'name' => 'employment_status_note',
                'title' => '備考',
                'group_valid' => 0,
                'created' => '2023-01-30 09:49:52',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => 1,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 101,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 25,
                'parent_id' => NULL,
                'lft' => 37,
                'rght' => 42,
                'level' => 0,
                'name' => 'working_hours_group',
                'title' => '勤務時間',
                'group_valid' => 0,
                'created' => '2023-01-30 09:54:54',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 102,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 33,
                'parent_id' => 101,
                'lft' => 40,
                'rght' => 41,
                'level' => 1,
                'name' => 'working_hours_note',
                'title' => '備考',
                'group_valid' => 0,
                'created' => '2023-01-30 09:55:15',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => 1,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 103,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 25,
                'parent_id' => NULL,
                'lft' => 25,
                'rght' => 36,
                'level' => 0,
                'name' => 'salary_group',
                'title' => '給与',
                'group_valid' => 0,
                'created' => '2023-01-30 10:22:25',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 104,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 34,
                'parent_id' => 103,
                'lft' => 26,
                'rght' => 27,
                'level' => 1,
                'name' => 'salary_type',
                'title' => '基本給支給タイプ',
                'group_valid' => 0,
                'created' => '2023-01-30 10:22:25',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 0,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 105,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 39,
                'parent_id' => 103,
                'lft' => 30,
                'rght' => 31,
                'level' => 1,
                'name' => 'salary_min',
                'title' => '基本給最低金額',
                'group_valid' => 0,
                'created' => '2023-01-30 10:22:25',
                'modified' => '2023-02-20 18:13:02',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 0,
                'search_target_front' => 0,
                'before_linefeed' => 1,
                'after_linefeed' => 0,
                'display_front' => 0,
                'search_target_admin' => 0,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => '円',
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 106,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 39,
                'parent_id' => 103,
                'lft' => 32,
                'rght' => 33,
                'level' => 1,
                'name' => 'salary_max',
                'title' => '基本給最高金額',
                'group_valid' => 0,
                'created' => '2023-01-30 10:22:25',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 0,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => '円',
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 107,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 33,
                'parent_id' => 103,
                'lft' => 34,
                'rght' => 35,
                'level' => 1,
                'name' => 'salary_note',
                'title' => '備考',
                'group_valid' => 0,
                'created' => '2023-01-30 10:22:25',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => 1,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 108,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 39,
                'parent_id' => 94,
                'lft' => 52,
                'rght' => 53,
                'level' => 1,
                'name' => 'zip',
                'title' => '〒',
                'group_valid' => 0,
                'created' => '2023-01-30 10:31:13',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 109,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 40,
                'parent_id' => 94,
                'lft' => 54,
                'rght' => 55,
                'level' => 1,
                'name' => 'pref',
                'title' => '都道府県',
                'group_valid' => 0,
                'created' => '2023-01-30 10:31:13',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 1,
                'use_api' => 1,
                'search_target_front' => 1,
                'before_linefeed' => 0,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => 1,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 110,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 19,
                'parent_id' => 94,
                'lft' => 56,
                'rght' => 57,
                'level' => 1,
                'name' => 'address_1',
                'title' => '市区町村',
                'group_valid' => 0,
                'created' => '2023-01-30 10:31:13',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => 1,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 111,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 15,
                'parent_id' => 94,
                'lft' => 58,
                'rght' => 59,
                'level' => 1,
                'name' => 'address_2',
                'title' => '町名番地',
                'group_valid' => 0,
                'created' => '2023-01-30 10:31:13',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => 0,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 112,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 33,
                'parent_id' => 94,
                'lft' => 60,
                'rght' => 61,
                'level' => 1,
                'name' => 'work_location_note',
                'title' => '備考',
                'group_valid' => 0,
                'created' => '2023-01-30 10:31:13',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => 0,
                'display_admin_list' => 0,
                'use_api' => 1,
                'search_target_front' => 0,
                'before_linefeed' => 1,
                'after_linefeed' => 0,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 143,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => NULL,
                'lft' => 43,
                'rght' => 44,
                'level' => 0,
                'name' => 'textarea_small',
                'title' => '休日',
                'group_valid' => 0,
                'created' => '2023-02-12 23:26:46',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 144,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => NULL,
                'lft' => 45,
                'rght' => 46,
                'level' => 0,
                'name' => 'textarea_small_2',
                'title' => '福利厚生',
                'group_valid' => 0,
                'created' => '2023-02-12 23:27:42',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 145,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => NULL,
                'lft' => 47,
                'rght' => 48,
                'level' => 0,
                'name' => 'etc',
                'title' => 'その他、求人の特徴',
                'group_valid' => 0,
                'created' => '2023-02-12 23:28:18',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 146,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => NULL,
                'lft' => 49,
                'rght' => 50,
                'level' => 0,
                'name' => 'textarea_small_3',
                'title' => '応募方法',
                'group_valid' => 0,
                'created' => '2023-02-12 23:29:30',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 147,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => NULL,
                'lft' => 63,
                'rght' => 64,
                'level' => 0,
                'name' => 'welcoming_skills',
                'title' => '歓迎するスキル',
                'group_valid' => 0,
                'created' => '2023-02-12 23:30:09',
                'modified' => '2023-02-12 23:31:04',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
            [
                'id' => 148,
                'no' => NULL,
                'custom_table_id' => 1,
                'custom_field_id' => 18,
                'parent_id' => NULL,
                'lft' => 71,
                'rght' => 72,
                'level' => 0,
                'name' => 'occupation_charm',
                'title' => 'この職業の魅力',
                'group_valid' => 0,
                'created' => '2023-02-12 23:31:04',
                'modified' => '2023-02-12 23:31:18',
                'use_loop' => NULL,
                'display_admin_list' => NULL,
                'use_api' => 1,
                'search_target_front' => NULL,
                'before_linefeed' => NULL,
                'after_linefeed' => NULL,
                'display_front' => 1,
                'search_target_admin' => NULL,
                'description' => NULL,
                'attention' => NULL,
                'before_head' => NULL,
                'after_head' => NULL,
                'options' => NULL,
                'class' => NULL,
                'status' => 1,
                'required' => NULL,
            ],
        ];

        $table = $this->table('custom_links');
        $table->insert($data)->save();
    }
}
